# Class MessageBatchRequest

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a request to create a batch of messages.

    public class MessageBatchRequest

Inheritance
  object
  MessageBatchRequest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageBatchRequest(List<MessageBatchRequestItem>)

Initializes a new instance of the MessageBatchRequest class.

    public MessageBatchRequest(List<MessageBatchRequestItem> requests)

#### Parameters

`requests` List<MessageBatchRequestItem>

  The requests to create messages.

#### Exceptions

ArgumentException

  Thrown when `requests` is empty.

## Properties

### Requests

Gets the requests to create messages.

    public List<MessageBatchRequestItem> Requests { get; init; }

#### Property Value

List<MessageBatchRequestItem>